var system = require("../../../system")
const CtlBase = require("../../ctlms.base");

class InvoiceCtl extends CtlBase {
    constructor() {
        super();
        this.invoiceSve = system.getObject("service.invoice.invoiceSve");
    }

    //发票列表
    async platforminvoicePage(params, pobj2, req) {
        try {
            let rs = await this.invoiceSve.platforminvoicePage(params);
            return rs;
        } catch (error) {
            return system.getResult(null, `系统错误 错误信息 ${error}`);
        }
    }

    //发票申请列表
    async platforminvoiceapplyPage(params, pobj2, req) {
        try {
            let rs = await this.invoiceSve.platforminvoiceapplyPage(params);
            return rs;
        } catch (error) {
            return system.getResult(null, `系统错误 错误信息 ${error}`);
        }
    }

}

module.exports = InvoiceCtl;
